{
    attributes = (
        {
            columnName = "C_COND_RECRUT"; 
            externalType = VARCHAR2; 
            name = code; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "C_TYPE_CONTRAT_TRAV"; 
            externalType = VARCHAR2; 
            name = cTypeContratTrav; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2; 
        }, 
        {
            allowsNull = Y; 
            columnName = "DUREE_MAX_CR"; 
            externalType = NUMBER; 
            name = dureeMaxCr; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ID_COND_RECRUT"; 
            externalType = NUMBER; 
            name = idCondRecrut; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "L_COND_RECRUT"; 
            externalType = VARCHAR2; 
            name = libelleLong; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 100; 
        }
    ); 
    attributesUsedForLocking = (code, cTypeContratTrav, dureeMaxCr, idCondRecrut, libelleLong); 
    className = "org.cocktail.mangue.common.modele.nomenclatures.contrat.EOConditionRecrutement"; 
    classProperties = (code, dureeMaxCr, libelleLong, toTypeContratTravail); 
    externalName = "GRHUM.CONDITION_RECRUTEMENT"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (code, dureeMaxCr, libelleLong, toTypeContratTravail); 
    }; 
    name = ConditionRecrutement; 
    primaryKeyAttributes = (idCondRecrut); 
    relationships = (
        {
            destination = TypeContratTravail; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = code; sourceAttribute = cTypeContratTrav; }); 
            name = toTypeContratTravail; 
        }
    ); 
    userInfo = {"_EntityModeler" = {parentClassName = Nomenclature; }; }; 
}
